# Need to access symbols from the X Server and other dlopen'ed modules
%define _disable_ld_no_undefined 1

Name: x11-driver-video-vesa
Version: 2.3.4
Release: %mkrel 8
Summary: X.org driver for Generic VESA Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vesa-%{version}.tar.bz2
License: MIT
# upstream fixes
Patch001:	0001-When-debugging-print-the-VGAbase-as-well.patch
Patch002:	0002-Use-default-refresh-by-default.patch

# from ajax
Patch101:	    vesa-2.3.4-no-virt-shadowfb.patch

ExclusiveArch: %{ix86} x86_64

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.19.0
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Obsoletes: x11-driver-video-vga
Obsoletes: x11-driver-video-vermilion

%description
x11-driver-video-vesa is the X.org driver for Generic VESA Cards.

%prep
%setup -q -n xf86-video-vesa-%{version}
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%{_libdir}/xorg/modules/drivers/vesa_drv.la
%{_libdir}/xorg/modules/drivers/vesa_drv.so
%{_mandir}/man4/vesa.4*




%changelog
* Thu Nov 17 2016 tv <tv> 2.3.4-8.mga6
+ Revision: 1067627
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 2.3.4-7.mga6
+ Revision: 1043300
- rebuild for xorg-server 1.18.4

* Tue Jul 05 2016 tmb <tmb> 2.3.4-6.mga6
+ Revision: 1038949
- sync in fixes from upstream git

* Fri May 27 2016 tv <tv> 2.3.4-5.mga6
+ Revision: 1018887
- turn shadowfb off on virtualized hardware (faster)
- only build on arches where xserver builds VBE support

* Wed Feb 17 2016 umeabot <umeabot> 2.3.4-4.mga6
+ Revision: 963446
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 2.3.4-3.mga6
+ Revision: 902275
- submit to core/release

* Tue Nov 10 2015 tv <tv> 2.3.4-2.mga6
+ Revision: 901414
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 2.3.4-1.mga6
+ Revision: 836044
- new release

* Sat Jun 20 2015 tv <tv> 2.3.3-9.mga6
+ Revision: 835918
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 2.3.3-8.mga5
+ Revision: 745489
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.3-7.mga5
+ Revision: 690468
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 2.3.3-6.mga5
+ Revision: 634991
- submit to core/release

* Fri Jun 06 2014 tv <tv> 2.3.3-5.mga5
+ Revision: 633653
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 2.3.3-4.mga5
+ Revision: 614330
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 2.3.3-3.mga5
+ Revision: 582181
- rebuild for new xserver

* Sat Oct 19 2013 umeabot <umeabot> 2.3.3-2.mga4
+ Revision: 534390
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 tv <tv> 2.3.3-1.mga4
+ Revision: 477774
- new release
- drop patch 0 (merged)

* Thu May 30 2013 tv <tv> 2.3.2-4.mga4
+ Revision: 433127
- submit to core/release

* Fri May 24 2013 tv <tv> 2.3.2-3.mga4
+ Revision: 425711
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 2.3.2-3.mga3
+ Revision: 386038
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 2.3.2-2.mga3
+ Revision: 288939
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 2.3.2-1.mga3
+ Revision: 273755
- new release

* Wed Jun 06 2012 tmb <tmb> 2.3.1-3.mga3
+ Revision: 256511
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 2.3.1-2.mga3
+ Revision: 252971
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 2.3.1-1.mga3
+ Revision: 249789
- new release

* Tue Dec 06 2011 tmb <tmb> 2.3.0-9.mga2
+ Revision: 177485
- submit to core/release

* Sat Oct 08 2011 tv <tv> 2.3.0-8.mga2
+ Revision: 153307
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 2.3.0-7.mga2
+ Revision: 153091
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 2.3.0-6.mga1
+ Revision: 64423
- rebuild for new xserver-1.10

* Sun Jan 23 2011 blino <blino> 2.3.0-5.mga1
+ Revision: 35272
- imported package x11-driver-video-vesa

